Hi Everybody,

I have a 3gs (bought it 2 years ago) and I upgrade it to 5.0.1 yesterday.

Before upgrading, my 3gs information was :
firmware 4.3 (if i remember correctly)
Modem Baseband 05.13.04

and after upgrading, the information is now :
device model : MB715LL/a
Installed firmware : 5.0.1
installed Baseband Version : 05.13.04-6.4_M3S2

I followed this tutor "I upgraded using this tutor How to Jailbreak iOS 5.0.1 and Preserve Unlocked Baseband for iPhone 4 & 3GS" but now my iphone 3gs can't be activated because I don't have the valid SIM.

What should I do now?

Here is the screenshot of TinyUmbrella
-tinyumbrella.jpg


From tinyumbrella, some of my previous iphone version SHSH has been saved at cydia

01/27/2012 09:22:30.106 You have saved your iPhone3GS 4.0.1 (8A306) SHSH locally and the request was sent to CYDIA. This means that CYDIA DOES have your SHSH. Do NOT bug semaphore about the Cydia home page showing this version.
01/27/2012 09:22:31.438 You have saved your iPhone3GS 4.3.3 (8J2) SHSH locally and the request was sent to CYDIA. This means that CYDIA DOES have your SHSH. Do NOT bug semaphore about the Cydia home page showing this version.
01/27/2012 09:22:35.017 You have saved your iPhone3GS 4.3.5 (8L1) SHSH locally and the request was sent to CYDIA. This means that CYDIA DOES have your SHSH. Do NOT bug semaphore about the Cydia home page showing this version.
01/27/2012 09:22:36.554 You have saved your iPhone3GS 4.1 (8B117) SHSH locally and the request was sent to CYDIA. This means that CYDIA DOES have your SHSH. Do NOT bug semaphore about the Cydia home page showing this version.

is that mean I can downgrade to the firmware state above?

Will it be a good idea to downgrade it to 4.3.5 and try to upgrade it again to 5.0.1 ?

please advice guys.

thank you guys a lot...